Version: 1.0.0
Asset Relationships API - Introduction
Asset Relationships capture typed relationships between two assets within your account.
Relationship types
parent_child— a directed relationship where one asset (the parent) is the source of another (the child). Thesubtyperecords how the child was produced, e.g.auto_enhance,remove_background, ormanual. Relationships of this type are created automatically when a new asset is generated from another asset (AI "Edit Image" / "Remove Background" with thenew_assetdisposition).related— a symmetric relationship between two assets. A single relationship is stored and is navigable from either side.- Any other non-empty string — an extensible custom relationship type,
treated as directed (
src->dst).
Use these relationships to navigate from an asset to its parents, children, related and custom-related assets.
Authentication
- API Key: ApiKeyAuth
- HTTP: Bearer Auth
API key for programmatic access
Security Scheme Type: | apiKey |
|---|---|
Header parameter name: | X-FileSpin-Api-Key |
JWT token obtained from POST /api/v1/login
Security Scheme Type: | http |
|---|---|
HTTP Authorization Scheme: | bearer |
Bearer format: | JWT |